<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm" autocomplete="off">
    <p-panel>
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="clearBack()" style="cursor: pointer;"><i class="fa fa-chevron-left"></i>
                        &nbsp;{{'entity.action.back' | translate}}</a>
                </li>
                <li class="nav-item" *ngIf="!isEdit">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><i
                            class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</a>
                </li>
                <li class="nav-item" *ngIf="isEdit">
                    <a class="btn" (click)="update()" href="javascript:void(0)" style="cursor: pointer;"><i
                            class="fa fa-save"></i> &nbsp;Update</a>
                </li>
            </ul>
        </p-header>
        <div class="ui-g-6; form-group" *ngIf="currentAccount.idInternal === 'RCP'">
            <div class="ui-g-12">
                <label class="form-control-label" for="field_nmspl">Divisi</label>
                <div class="ui-g">
                    <div class="ui-g-3">
                        <p-radioButton name="group2" value="PBL" label="PBL" [(ngModel)]="masterSupplier.mappdiv"
                            inputId="jenis1"></p-radioButton>
                    </div>
                    <div class="ui-g-3">
                        <p-radioButton name="group2" value="MKT" label="MKT" [(ngModel)]="masterSupplier.mappdiv"
                            inputId="jenis2"></p-radioButton>
                    </div>
                    <div class="ui-g-3">
                        <p-radioButton name="group2" value="FIN" label="LAIN" [(ngModel)]="masterSupplier.mappdiv"
                            inputId="jenis3"></p-radioButton>
                    </div>
                    <div class="ui-g-3">
                        <p-radioButton name="group2" value="SMK" label="SMK" [(ngModel)]="masterSupplier.mappdiv"
                            inputId="jenis4"></p-radioButton>
                    </div>
                </div>
            </div>
        </div>
        <!-- kd_supplier -->
        <div class="ui-g-6; form-group">
            <label class="form-control-label" for="field_kode">Kode Supplier</label>
            <input class="form-control" type="text" id="kode" name="kode" [(ngModel)]="masterSupplier.kdSupplier"
                [disabled]="isEdit" (blur)="checkExist()">
        </div>
        <div class="ui-g-6; form-group" *ngIf="isExist">
            <label class="form-control-label" for="field_kode"
                style="color:red; font-weight: bold;">{{existDesc}}</label>
        </div>
        <!-- jsup -->
        <div class="ui-g-6; form-group">
            <label class="form-control-label" for="field_jsup">Jenis Supplier</label>
            <p-dropdown [options]="jsup" [(ngModel)]="selectedjsup" id="jsup" name="jsup" [disabled]="isExist" styleClass="form-control" autoWidth="false"
            [style]="{'width':'100%'}">
            </p-dropdown>
        </div>
        <!-- nm_supplier -->
        <div class="ui-g-6; form-group">
            <label class="form-control-label" for="field_Nama">Nama Supplier</label>
            <input class="form-control" type="text" id="nama" name="nama" [(ngModel)]="masterSupplier.nmSupplier"
                [disabled]="isExist">
        </div>
        <!-- tenor -->
        <div class="ui-g-6; form-group">
            <label class="form-control-label" for="field_Nama">Lama Kredit (Hari)</label>
            <input class="form-control" type="number" id="tenor" name="tenor" [(ngModel)]="masterSupplier.tenor"
                [disabled]="isExist">
        </div>
        <!-- almt_supplier1 -->
        <div class="ui-g-6; form-group">
            <label class="form-control-label" for="field_almt1">Alamat Supplier 1</label>
            <input class="form-control" type="text" id="almt1" name="almt1" [(ngModel)]="masterSupplier.almtSupplier1"
                [disabled]="isExist">
        </div>
        <!-- almt_supplier2 -->
        <div class="ui-g-6; form-group">
            <label class="form-control-label" for="field_almt2">Alamat Supplier 2</label>
            <input class="form-control" type="text" id="almt2" name="almt2" [(ngModel)]="masterSupplier.almtSupplier2"
                [disabled]="isExist">
        </div>
        <!-- telp -->
        <div class="ui-g-6; form-group">
            <label class="form-control-label" for="field_Telp">Telp</label>
            <input class="form-control" type="text" id="telp" name="telp" [(ngModel)]="masterSupplier.telp"
                [disabled]="isExist" placeholder="021-888888888">
        </div>
        <!-- fax -->
        <div class="ui-g-6; form-group">
            <label class="form-control-label" for="field_fax">Fax</label>
            <input class="form-control" type="number" id="fax" name="fax" [(ngModel)]="masterSupplier.fax"
                [disabled]="isExist">
        </div>
        <!-- email -->
        <div class="ui-g-6; form-group">
            <label class="form-control-label" for="field_fax">Email</label>
            <input class="form-control" type="text" id="email" name="email" [(ngModel)]="masterSupplier.email"
                [disabled]="isExist">
        </div>
        <!-- person1 -->
        <div class="ui-g-6; form-group">
            <label class="form-control-label" for="field_pic1">Nama Pic 1</label>
            <input class="form-control" type="text" id="pic1" name="pic1" [(ngModel)]="masterSupplier.person1"
                [disabled]="isExist">
        </div>
        <!-- person2 -->
        <div class="ui-g-6; form-group">
            <label class="form-control-label" for="field_pic2">Nama Pic 2</label>
            <input class="form-control" type="text" id="pic2" name="pic2" [(ngModel)]="masterSupplier.person2"
                [disabled]="isExist">
        </div>
        <!-- NPWP -->
        <div class="ui-g-6; form-group">
            <label class="form-control-label" for="field_npwp">NPWP </label>
            <input class="form-control" type="text" id="npwp" name="npwp" [(ngModel)]="masterSupplier.npwp"
                [disabled]="isExist">
        </div>

        <!-- <div class="ui-g-6; form-group">
            <label class="form-control-label" for="field_jsup">Kategori Supplier</label>
            <p-dropdown [options]="ksup" [(ngModel)]="selectedKategori" id="kategori" name="kategori" [disabled]="isExist" styleClass="form-control" autoWidth="false"
            [style]="{'width':'100%'}">
            </p-dropdown>
        </div> -->

        <!-- <div class="ui-g-6; form-group">
            <label class="form-control-label" for="field_jsup">Supplier untuk ?</label>
            <p-dropdown [options]="compList" [(ngModel)]="masterSupplier.kd_comp" id="selectedComp" name="selectedComp" [disabled]="isExist" styleClass="form-control" autoWidth="false"
            [style]="{'width':'100%'}">
            </p-dropdown>
        </div> -->

        <div class="ui-g-6; form-group">
            <label class="form-control-label" for="field_jsup">Status Supplier</label>
            <p-dropdown [options]="active" [(ngModel)]="selectedActive" id="active" name="active" [disabled]="isExist" styleClass="form-control" autoWidth="false"
            [style]="{'width':'100%'}">
            </p-dropdown>
        </div>
        <!-- idSupplier -->
    </p-panel>
</form>